#include "PCD8544.h"

// pin 7 - Serial clock out (SCLK)
// pin 6 - Serial data out (DIN)
// pin 5 - Data/Command select (D/C)
// pin 4 - LCD chip select (CS)
// pin 3 - LCD reset (RST)
PCD8544 nokia = PCD8544(7, 6, 5, 4, 3);

// a bitmap of a 16x16 fruit icon
static unsigned char __attribute__ ((progmem)) logo16_glcd_bmp[]={
0x06, 0x0D, 0x29, 0x22, 0x66, 0x24, 0x00, 0x01, 0x87, 0x00, 0x27, 0x6C, 0x20, 0x23, 0x06, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x10, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, };
#define LOGO16_GLCD_HEIGHT 16 
#define LOGO16_GLCD_WIDTH  16 

int sensorPin = A0;    // select the input pin for the potentiometer
int sensorPin1 = A1;
int sensorPin2 = A2;
int delayVariable = 10;

int yCtr = 0;    // variable for the y counter used to collect y position into array
int printCtr = 0; 
int posy = 0;    // variable for the y position of the dot 
int myArray[85];             // it's important to set everything to 0 


void setup(void) {
  

//  Serial.begin(9600);
//  Serial.println("hello!");

  nokia.init();

  // turn all the pixels on (a handy test)
  nokia.command(PCD8544_DISPLAYCONTROL | PCD8544_DISPLAYALLON);
  delay(500);
  // back to normal
  nokia.command(PCD8544_DISPLAYCONTROL | PCD8544_DISPLAYNORMAL);

  // show splashscreen
  nokia.display();
  delay(2000);
  nokia.clear();

}

void loop() 
{ 
 
delayVariable = analogRead(sensorPin2);
delayVariable = (delayVariable/50);
  
  for(yCtr = 0; yCtr < 85; yCtr += 1)  // fills the array with 84 records
  {                                 
    // read the value from the sensor:
    posy = analogRead(sensorPin); 
    myArray[yCtr] = (posy/22); 
    delay (delayVariable);
/*    Serial.println("yCtr");
    Serial.print(yCtr);
    Serial.print("posy");
    Serial.print(posy);
    Serial.print("myArray");
    Serial.print(myArray[yCtr]);
*/
  } 

     nokia.clear();
     
   for(printCtr = 0; printCtr < 85; printCtr += 1)  // fills the array with 84 records
   {
     nokia.setPixel(printCtr, myArray[printCtr], BLACK);
   }
   
 
     nokia.display();        // show the changes to the buffer
     yCtr == 0;
     printCtr == 0; 
} 



